Page MenuHomeFreeBSD

libmd / md5: Add SHA-512/224.
ClosedPublic

Authored by des on Feb 3 2023, 3:21 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Sep 21, 10:23 PM
Unknown Object (File)
Mon, Sep 11, 1:34 PM
Unknown Object (File)
Mon, Sep 4, 7:18 AM
Unknown Object (File)
Aug 21 2023, 4:11 PM
Unknown Object (File)
Jul 31 2023, 3:27 PM
Unknown Object (File)
Jul 3 2023, 11:50 AM
Unknown Object (File)
Jul 3 2023, 11:36 AM
Unknown Object (File)
Jun 29 2023, 4:13 AM

Details

Summary

While there, remove .Tn from man pages.

Also remove an obsolete comment about the 80386.

Sponsored by: Klara, Inc.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

des requested review of this revision.Feb 3 2023, 3:21 PM
yuri_aetern.org added inline comments.
lib/libmd/sha512.3
226
STYLE: useless macro: Tn

.Tn is deprecated and does nothing; while it's already used in this man page, not adding new entries might be helpful

kevans added a subscriber: kevans.

LGTM; remove .Tn pre-commit or maybe let's do a pass after to address mandoc complaints (I'm assuming there's probably others)

This revision is now accepted and ready to land.Feb 3 2023, 7:00 PM

Removed useless .Tn macro from man pages, deliberately not bumping Dd since neither the text nor the appearance has changed.

This revision now requires review to proceed.Feb 4 2023, 1:07 PM
des added a reviewer: yuri_aetern.org.
des marked an inline comment as done.Feb 6 2023, 12:22 PM
kib added inline comments.
lib/libmd/sha.3
187

We do not boot on i386 for long time. This section can be removed.

Hook up the SHA-512/224 tests.

Remove comment about the 80386.

des marked an inline comment as done.Feb 6 2023, 1:10 PM
bcr added a subscriber: bcr.

OK from manpages.

allanjude added a subscriber: allanjude.

Reviewed by: allanjude

This revision is now accepted and ready to land.Feb 6 2023, 4:07 PM
des retitled this revision from libmd: Add SHA-512/224. to libmd / md5: Add SHA-512/224..Feb 6 2023, 4:26 PM
This revision now requires review to proceed.Feb 6 2023, 4:26 PM
This revision is now accepted and ready to land.Feb 6 2023, 4:32 PM
This revision was automatically updated to reflect the committed changes.